summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2018-06-29 15:06:09 +0200
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2018-06-29 15:06:09 +0200
commitb4a65c5e6777a53be5ea817c967caeee51285a7f (patch)
treed0d0fd6023efaa0da7a60f7595cf9d2d2a555698
parentee61be6d48799c07293339e64229a49248fbb6bc (diff)
fuel-deploy: Add temporary iptables rule
Functest Docker has issues connecting to Openstack clusters on Ericsson virtual PODs due to iptables rules interfering. Apply old iptables workaround from functest, at least until we rootcause and fix the issue on those virtual PODs. JIRA: FUNCTEST-985 Change-Id: I01b6788e5dd7a9fd64e80e3e78d7cd8828570cb1 Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
-rwxr-xr-xjjb/fuel/fuel-deploy.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/jjb/fuel/fuel-deploy.sh b/jjb/fuel/fuel-deploy.sh
index 433061a96..a4b40f44f 100755
--- a/jjb/fuel/fuel-deploy.sh
+++ b/jjb/fuel/fuel-deploy.sh
@@ -111,6 +111,15 @@ echo
${DEPLOY_COMMAND}
exit_code=$?
+# Temporary workaround for ericsson-virtual* PODs functest integration
+# See https://jira.opnfv.org/browse/FUNCTEST-985
+# Set iptables rule to allow forwarding return traffic for container
+redirect=/dev/stdout
+if ! sudo iptables -C FORWARD -j RETURN 2> ${redirect} || \
+ ! sudo iptables -L FORWARD | awk 'NR==3' | grep RETURN 2> ${redirect}; then
+ sudo iptables -I FORWARD -j RETURN
+fi
+
echo
echo "--------------------------------------------------------"
echo "Deployment is done!"